From 4d93f360048bc75a10c8078505e736e677062bd1 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Tue, 31 Mar 2020 10:46:55 -0400
Subject: [PATCH 25/25] gnu: packages: linphone: Add mswebrtc

* gnu/packages/linphone.scm (mswebrtc): New variable.
---
 gnu/packages/linphone.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/linphone.scm b/gnu/packages/linphone.scm
index 74b814046f..8c17ef30c9 100644
--- a/gnu/packages/linphone.scm
+++ b/gnu/packages/linphone.scm
@@ -747,3 +747,36 @@ mediastreamer2 based on the openh264 library.")
 AMR codec.  It is based on the Skype's SILK implementation.")
  (home-page "https://gitlab.linphone.org/BC/public/mssilk")
  (license license:gpl2+)))
+
+(define-public mswebrtc
+ (package
+  (name "mswebrtc")
+   (version "1.1.1")
+   (source
+    (origin
+     (method url-fetch)
+     (uri
+      (string-append "https://www.linphone.org/releases/sources/plugins/"
+                     name "/" name "-" version ".tar.gz"))
+     (sha256
+      (base32 "1wj28hl9myhshqmn64xg0jf07aw75gmnilb5rff6rcbdxim87mqr"))))
+ (build-system cmake-build-system)
+ (arguments
+  `(#:tests? #f ; No test target
+    #:configure-flags
+     (list
+      "-DENABLE_SHARED=YES"
+      "-DENABLE_STATIC=YES"
+      "-DENABLE_AEC=YES"
+      "-DENABLE_AECM=YES"
+      "-DENABLE_ISAC=YES"
+      "-DENABLE_ILBC=YES")))
+ (inputs
+  `(("bctoolbox" ,bctoolbox)
+    ("mediastreamer2" ,mediastreamer)
+    ("ortp" ,ortp)))
+ (synopsis "Media Streamer WebRTC Codec")
+ (description "MSWebRTC is a plugin of MediaStreamer, adding support for
+WebRTC codec.  It includes features from WebRTC, such as, iSAC and AECM.")
+ (home-page "https://gitlab.linphone.org/BC/public/mswebrtc")
+ (license license:gpl2+)))
-- 
2.26.0

